﻿@{
    ViewBag.Title = "Application Parameter";
    Layout = "~/Views/Shared/_FixedLayout.cshtml";
}



<script type="text/javascript">

    $(function () {

        $(document).ready(function () {


            $("#btnSave").click(function () {
                //validation
                if ($('#txtGroupName').val().length == 0 ||
                    $('#txtDescription').val().length == 0) {
                    bootbox.alert("<i class='fa fa-warning fa-2x'></i> Please fill mandatory field (<label class='required'></label>)", function () {
                        setTimeout(function () { }, 500);
                    });
                } else {

                    //confirmation
                    bootbox.confirm({
                        title: "<i class='fa fa-warning fa-2x'></i> Save Confirmation",
                        message: 'Are you sure you want to save this data. <br>If not, click Cancel',
                        buttons: {
                            'cancel': {
                                label: '<i class="fa fa-times"></i> Cancel',
                                className: 'btn-default pull-left'
                            },
                            'confirm': {
                                label: '<i class="fa fa-check"></i> Yes, Continue save',
                                className: 'btn-primary pull-right'
                            }
                        },
                        callback: function (result) {
                            if (result) {
                                var GroupParamList = [
                                     {
                                         id:'0',
                                         groupname: $('#txtGroupName').val(),
                                         description: $('#txtDescription').val()

                                     }
                                ];

                                GroupParamList.push();

                                var formData = new FormData();
                                formData.append("GroupParamList", JSON.stringify(GroupParamList));


                                //Save Process
                                $.ajax({
                                    type: "POST",
                                    url: '@Url.Action("SaveGroupParam", "ApplicationParameter")',
                                    data: formData,
                                    dataType: 'json',
                                    contentType: false,
                                    processData: false,
                                    //beforeSend: function () {
                                    //    //$("#loader").show();
                                    //},
                                    success: function (data) {
                                        bootbox.dialog({
                                            message: data.message,
                                            title: data.title,
                                            buttons: {
                                                main: {
                                                    label: "<i class='fa fa-check'></i> Ok",
                                                    className: "btn-primary",
                                                    callback: function () {
                                                        if (result) {
                                                            if (data.status) {
                                                                window.location.href = '@Url.Action("ApplicationParameter", "ApplicationParameter")';
                                                            }
                                                        }
                                                    }
                                                }
                                            }
                                        });
                                    }
                                });

                            }
                        }
                    });
                }


            });

        });

    });
</script>

<style>
    .label-def-margin {
        margin-top: 6px;
    }

    .required:after {
        content: "*";
        color: red;
    }
</style>


<div class="col-sm-12">
    <div class="panel panel-primary" style="margin-bottom: 0;">
        <div class="panel-heading">
            Add Application Parameter Group
        </div>
        <div class="panel-body">
            <!--Group Name-->
            <div class="row">
                <div class="col-sm-2"><label class="required label-def-margin" for="txtGroupName">Group Name</label></div>
                <div class="col-sm-4"><input class="form-control" type="text" id="txtGroupName" /></div>
            </div>
            <!--Description-->
            <div class="row">
                <div class="col-sm-2"><label class="required label-def-margin" for="txtDescription">Description</label></div>
                <div class="col-sm-4"><input class="form-control" type="text" id="txtDescription" /></div>
            </div>

        </div>
        <div class="panel-footer">
            <div class="row">
                <div class="col-sm-1">
                    <button type="button" class="btn btn-primary" id="btnSave">
                        <span class="glyphicon glyphicon-floppy-disk"></span> Save
                    </button>
                </div>
                <div class="col-sm-1">
                    <button type="button" class="btn btn-primary" onclick="@("window.location.href='" + @Url.Action("BackGroupApplicationParameter", "ApplicationParameter") + "'");">
                        <span class="glyphicon glyphicon-circle-arrow-left"></span> Back
                    </button>
                </div>
            </div>
        </div>
    </div>
</div>